import bpy
from bpy.types import Operator

from ..utils.sectionbox import get_sectionbox


class SECTIONBOX_OT_Reset(Operator):
    bl_idname = "sectionbox.reset"
    bl_label = "Reset"
    bl_options = {"REGISTER", "UNDO"}

    def execute(self, context):
        sb = get_sectionbox(context, check_active=True)
        if not sb:
            return {"CANCELLED"}

        sb.reset(context)
        return {"FINISHED"}
